package es.uv.garcosda.domain;

import jakarta.validation.constraints.NotNull;

public class PostDTO {

	@NotNull
	String authorFirstname;
	String authorLastname;
	@NotNull
	String title;
	String content;
	
	public PostDTO() {}
	public PostDTO(String authorFirstname, String authorLastname, String title, String content) {
		this.authorFirstname = authorFirstname;
		this.authorLastname = authorLastname;
		this.title = title;
		this.content = content;
	}
	public String getAuthorFirstname() {
		return authorFirstname;
	}
	public void setAuthorFirstname(String authorFirstname) {
		this.authorFirstname = authorFirstname;
	}
	public String getAuthorLastname() {
		return authorLastname;
	}
	public void setAuthorLastname(String authorLastname) {
		this.authorLastname = authorLastname;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
}
